Subject: bug#17156: [PATCH 2/5] Revert conversion to shell scripts

From: Paolo Bonzini <[email-masked]>
Date: Tue, 01 Apr 2014 17:08:08 +0200

Il 01/04/2014 16:54, Paul Eggert ha scritto:
> Paolo Bonzini wrote:
>
>> Even though egrep and fgrep have been deprecated, most users
>> will be using them instead of grep -E and -F, on MS Windows systems
>> too where the native command shell is used.
>
> That's not my experience; more and more, people are using grep -E and
> -F.  Regardless, people who lack working shells can switch to grep -E
> and -F, which is what they're supposed to have been doing for decades
> anyway.
>
> If you want these backward-compatibility hacks to be executables rather
> than shell scripts, please make them separate little programs that
> simply do an execlp of 'grep'.  We shouldn't keep going on like we were
> doing, with a tricky setup within 'grep' itself that was a maintenance
> hassle and had subtle bugs.  We should have separation of concerns: the
> 'egrep' and 'fgrep' parts should be cleanly separated from the main part
> of 'grep'.

Unless I misunderstand, this is clearly not possible since "grep" does 
have to deal with -E and -F.

If you want to remove the "matcher" concept (including -Xawk), then I 
very much agree with that.

Paolo